=== modified file 'lib/lp/registry/browser/tests/test_distroseries.py'
--- lib/lp/registry/browser/tests/test_distroseries.py	2011-07-20 14:36:38 +0000
+++ lib/lp/registry/browser/tests/test_distroseries.py	2011-07-20 16:31:46 +0000
@@ -2080,12 +2080,11 @@
             view.action_url)
 
     def test_specified_packagesets_filter_none_specified(self):
-        # The view property specified_packagesets_filter return a collection
-        # of Packagesets given by the field.packageset query parameter.
+        # specified_packagesets_filter is None when there are no
+        # field.packageset parameters in the query.
         set_derived_series_ui_feature_flag(self)
         dsd = self.factory.makeDistroSeriesDifference()
         person = dsd.derived_series.owner
-        #set_derived_series_sync_feature_flag(self)
         with person_logged_in(person):
             view = create_initialized_view(
                 dsd.derived_series, '+localpackagediffs', method='GET',
@@ -2093,20 +2092,23 @@
             self.assertIs(None, view.specified_packagesets_filter)
 
     def test_specified_packagesets_filter_specified(self):
-        # The view property specified_packagesets_filter return a collection
-        # of Packagesets given by the field.packageset query parameter.
+        # specified_packagesets_filter returns a collection of Packagesets
+        # when there are field.packageset query parameters.
         set_derived_series_ui_feature_flag(self)
         dsd = self.factory.makeDistroSeriesDifference()
         person = dsd.derived_series.owner
-        packageset = self.factory.makePackageset(
-            distroseries=dsd.derived_series)
-        #set_derived_series_sync_feature_flag(self)
+        packageset1 = self.factory.makePackageset(
+            distroseries=dsd.derived_series)
+        packageset2 = self.factory.makePackageset(
+            distroseries=dsd.derived_series)
         with person_logged_in(person):
             view = create_initialized_view(
                 dsd.derived_series, '+localpackagediffs', method='GET',
-                query_string='field.packageset=%d' % packageset.id)
+                query_string='field.packageset=%d&field.packageset=%d' % (
+                    packageset1.id, packageset2.id))
             self.assertContentEqual(
-                [packageset], view.specified_packagesets_filter)
+                [packageset1, packageset2],
+                view.specified_packagesets_filter)
 
 
 class TestDistroSeriesNeedsPackagesView(TestCaseWithFactory):

